Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router
Class JobTiming

    java.lang.Object
      net.i2p.router.JobTiming

All Implemented Interfaces:
  Clock.ClockUpdateListener

    public class JobTiming

extends Object
implements Clock.ClockUpdateListener

Define the timing requirements and statistics for a particular job

Constructor Summary
`JobTiming(RouterContext context)`

Method Summary
`void` | `end()` Notify the timing that the job finished
`long` | `getActualEnd()` # of milliseconds after the epoch the job actually ended
`long` | `getActualStart()` # of milliseconds after the epoch the job actually started
`long` | `getStartAfter()` # of milliseconds after the epoch to start the job
`void` | `offsetChanged(long delta)`
`void` | `setActualEnd(long actualEndTime)`
`void` | `setActualStart(long actualStartTime)`
`void` | `setStartAfter(long startTime)`
`void` | `start()` Notify the timing that the job began

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTiming

    public JobTiming(RouterContext context)

Method Detail

### getStartAfter

    public long getStartAfter()

  # of milliseconds after the epoch to start the job

### setStartAfter

    public void setStartAfter(long startTime)

### getActualStart

    public long getActualStart()

  # of milliseconds after the epoch the job actually started

### setActualStart

    public void setActualStart(long actualStartTime)

### start

    public void start()

  Notify the timing that the job began

### getActualEnd

    public long getActualEnd()

  # of milliseconds after the epoch the job actually ended

### setActualEnd

    public void setActualEnd(long actualEndTime)

### end

    public void end()

  Notify the timing that the job finished

### offsetChanged

    public void offsetChanged(long delta)

  Specified by:
    `offsetChanged` in interface `Clock.ClockUpdateListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD